SIZE(1)

NOM
size – Lister les tailles de sections et la taille totale de fichiers binaires

SYNOPSIS
size [-A|-B|-G|--format=compatibilité]
     [--help]
     [-d|-o|-x|--radix=nombre]
     [--common]
     [-t|--totals]
     [--target=nom_bfd] [-V|--version]
     [-f]
     [fichier_obj...]

DESCRIPTION
L’utilitaire GNU size liste les tailles de section et la taille totale de chaque fichier binaire fichier_obj de sa liste d’arguments. Par défaut, une ligne de sortie est générée pour chaque fichier ou chaque module si le fichier est une archive.

fichier_obj... sont les fichiers à examiner. Si aucun n’est indiqué, le fichier a.out sera utilisé.

OPTIONS
Les options de ligne de commande ont les significations suivantes :

-A
-B
-G
--format=compatibilité
    En utilisant une de ces options, le type de sortie du size GNU peut ressembler à celui du size de System V (en utilisant les options -A ou --format=sysv) ou à celui du size de Berkeley (en utilisant les options -B ou --format=berkeley). La sortie par défaut est un format d’une ligne, similaire à celui de Berkeley. Sinon, une sortie de format GNU peut être choisie (en utilisant les options -G ou --format=gnu), qui est similaire à celle de Berkeley, mais les tailles sont comptées différemment.

    Voici un exemple du format de Berkeley (valeur par défaut) de sortie de size :

            $ size --format=Berkeley ranlib size
               text    data     bss     dec     hex filename
             294880   81920   11592  388392   5ed28 ranlib
             294880   81920   11888  388688   5ee50 size

    Le format de sortie Berkeley comptabilise les données en lecture seule dans la colonne « text » et non dans la colonne « data ». Les colonnes « dec » et « hex » affichent toutes deux la somme des colonnes « text », « data » et « bss », respectivement en décimal et en hexadécimal.

    Le format de sortie GNU comptabilise les données en lecture seule dans la colonne « data » et non dans la colonne « text » et affiche seulement le total des colonnes « text », « data » et « bss » dans la colonne « total ». L’option --radix peut être utilisée pour changer la base numérique de toutes les colonnes. Voici les mêmes données avec les conventions GNU.

            $ size --format=GNU ranlib size
                  text       data        bss      total filename
                279880      96920      11592     388392 ranlib
                279880      96920      11888     388688 size

    Voici les mêmes données, mais affichées de manière similaire aux conventions de System V :

            $ size --format=SysV ranlib size
            ranlib  :
            section         size         addr
            .text         294880         8192
            .data          81920       303104
            .bss           11592       385024
            Total         388392

            size  :
            section         size         addr
            .text         294880         8192
            .data          81920       303104
            .bss           11888       385024
            Total         388688

--help
-h
-H
-?  Afficher un résumé des options et arguments autorisés.

-d
-o
-x
--radix=nombre
    En utilisant une de ces options, il est possible de définir la base de la taille de chaque section : décimale (-d ou --radix=10), octale (-o ou --radix=8) ou hexadécimale (-x ou --radix=16). Pour l’option --radix=nombre, seules les trois valeurs 8, 10, 16 sont possibles. La taille totale est toujours indiquée dans deux bases, décimale et hexadécimale pour les sorties des options -d ou -x, ou octale et hexadécimale si l’option -o est spécifiée.

--common
    Afficher la taille totale des symboles communs dans chaque fichier. Si le format Berkeley ou GNU est utilisé, elle est incluse dans la taille bss.

-t
--totals
    Afficher les totaux de tous les objets listés (seulement pour les formats Berkeley et GNU).

--target=nom_bfd
    Spécifier que le format du code objet fichier_obj est nom_bfd (bfdname). Cette option peut ne pas être nécessaire, size pouvant reconnaitre automatiquement de nombreux formats.

-v
-V
--version
    Afficher le numéro de version de size.

-f  Option ignorée. Elle est utilisée par d’autres versions du programme size, mais elle n’est pas gérée par le version GNU de Binutils.

@fichier
    Lire les options de ligne de commande dans le fichier. Les options lues sont insérées à la place de l’option @fichier originelle. Si fichier n’existe pas ou ne peut être lu, alors l’option est traitée littéralement et n’est pas supprimée.

    Les options dans fichier sont séparées par des espaces. Un caractère espace peut être inclus dans une option en entourant l’option entière par des guillemets droits, simples ou doubles. Tout caractère (dont les controbliques) peut être inclus en préfixant ce caractère à inclure par une controblique. Le fichier peut lui-même contenir des options @fichier supplémentaires. De telles options seront traitées de manière récursive.

VOIR AUSSI
ar(1), objdump(1), readelf(1) et les entrées de menu de info(1) pour binutils.

COPYRIGHT
Copyright (c) 1991-2026 Free Software Foundation, Inc.

Autorisation est donnée de copier, distribuer et/ou modifier ce document sous les termes de la licence GNU Free Documentation License, version 1.3 ou ultérieure publiée par la fondation Free Software Foundation, sans sections invariantes, sans texte de couverture et sans texte de dos de couverture. Une copie de la licence figure dans la section « GNU Free Documentation License ».

TRADUCTION
La traduction française de cette page de manuel a été créée par Jean-Paul Guillonneau <guillonneau.jeanpaul@free.fr>

Cette traduction est une documentation libre ; veuillez vous reporter à la GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) concernant les conditions de copie et de distribution. Il n'y a aucune RESPONSABILITÉ LÉGALE.

Si vous découvrez un bogue dans la traduction de cette page de manuel, veuillez envoyer un message à debian-l10n-french@lists.debian.org.